cmake_minimum_required( VERSION 3.0 )
project( Tp1_Projet )
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -Wextra" )
find_package( PkgConfig REQUIRED )
add_executable( main.out main.cpp Fibonacci.cpp vecteur3.cpp)
pkg_check_modules( PKG_CPPUTEST REQUIRED cpputest )
include_directories( ${PKG_CPPUTEST_INCLUDE_DIRS} )
add_executable( mainTest.out main_test.cpp Fibonacci.cpp FibonacciTest.cpp vecteur3.cpp )
target_link_libraries( mainTest.out ${PKG_CPPUTEST_LIBRARIES} )
